=head1 NAME

iPE::State::PseudoTransition - a simple shadow transition which acts the same a s a parent transition.

=cut

package iPE::State::PseudoTransition;
use strict;

sub new {
    my ($class, $src, $dest) = @_;
    my $this = bless {}, $class;

    $this->{src_} = $src;
    $this->{dest_} = $dest;

    return $this;
}

sub src  { shift->{src_}  }
sub dest { shift->{dest_} }

=head1 SEE ALSO

L<iPE::State>

=head1 AUTHOR

Bob Zimmermann (rpz@cse.wustl.edu)

(man, he's so good.)

=cut

1;
